# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/riscv/microchip.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Microchip PolarFire SoC-based boards

maintainers:
  - Conor Dooley <conor.dooley@microchip.com>
  - Daire McNamara <daire.mcnamara@microchip.com>

description:
  Microchip PolarFire SoC-based boards

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - const: microchip,mpfs-icicle-prod-reference-rtl-v2507
          - const: microchip,mpfs-icicle-kit-prod
          - const: microchip,mpfs-icicle-kit
          - const: microchip,mpfs-prod
          - const: microchip,mpfs

      - items:
          - enum:
              - microchip,mpfs-icicle-reference-rtlv2203
              - microchip,mpfs-icicle-reference-rtlv2210
              - microchip,mpfs-icicle-es-reference-rtl-v2507
          - const: microchip,mpfs-icicle-kit
          - const: microchip,mpfs

      - items:
          - const: microchip,mpfs-disco-kit-reference-rtl-v2507
          - const: microchip,mpfs-disco-kit
          - const: microchip,mpfs

      - items:
          - enum:
              - aldec,tysom-m-mpfs250t-rev2
              - aries,m100pfsevp
              - beagle,beaglev-fire
              - microchip,mpfs-sev-kit
              - sundance,polarberry
          - const: microchip,mpfs

additionalProperties: true

...
